gelemental (1.2.0-9ubuntu1) trusty; urgency=medium

  [ Jackson Doak ]
  * Merge from debian. Remaining changes:
    - Add binary -dbg packages with debugging symbols:
      - debian/control:
        + add gelemental-dbg stanza
        + add libelemental0-dbg stanza
      - debian/rules:
        + split dh_strip calls in binary-arch target
        + add appropriate --dbg-package flags to dh_strip calls
  * Drop lp1051992_elements_update.patch, fixed in debian
  * Use autoreconf instead of autotools-dev to fix ppc64el ftbfs
    - Build-dep on dh-auttoreconf, intltool
    - add --with autoreconf to rules

  [ Michael Terry ]
  * Drop -dbg packages that Ubuntu added.  We have automatically
    created -dbgsym packages, so we don't need to carry a delta for this.
  * debian/control: drop build-depend on autotools-dev, not needed now

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 02 Jan 2014 08:44:34 +1100

gelemental (1.2.0-9) unstable; urgency=low

  * debian/control: Dropped DM-Upload-Allowed.
    (Standards-Version): Bumped to 3.9.4.
    (Build-Depends): Require libgtkmm >> 2.18.0 for fix_gtkmm_2.18.patch.
    (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
  * debian/rules: Enabled hardening.
  * debian/patches/656372_element_renames.patch: Updated (closes: #687993).
    - Fix more systematic names already replaced by the IUPAC (LP: #1051992).

 -- Daniel Leidert <dleidert@debian.org>  Tue, 06 Aug 2013 13:47:57 +0200

gelemental (1.2.0-8ubuntu2) raring; urgency=low

  * Updated Flerovium and Livermorium elements. Thx Etienne Beaule.
  * Fixed typo in Francium. Thx Benjamin Kerensa.
    (LP: #1051992)

 -- Charlie Smotherman <cjsmo@cableone.net>  Tue, 06 Nov 2012 08:29:11 -0500

gelemental (1.2.0-8ubuntu1) quantal; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - debian/control: Require libgtkmm >= 2.18.0 for fix_gtkmm_2.18.dpatch
    - Add binary -dbg packages with debugging symbols:
      - debian/control:
        + add gelemental-dbg stanza
        + add libelemental0-dbg stanza
      - debian/rules:
        + split dh_strip calls in binary-arch target
        + add appropriate --dbg-package flags to dh_strip calls

 -- Angel Abad <angelabad@ubuntu.com>  Thu, 17 May 2012 18:36:01 +0200

gelemental (1.2.0-8) unstable; urgency=low

  * debian/control (Standards-Version): Bumped to 3.9.3.
  * debian/patches/czech_translation_559028.patch: Adjusted.
    - Adjusted name for Ununbium (#656372).
  * debian/patches/656372_element_renames.patch: Added (closes: #656372).
    - Ununbium has been renamed to Copernicium.
  * debian/patches/665529_glib_headers.patch: Added (closes: #665529).
    - Fix FTBFS with glib 2.32.
  * debian/patches/series: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 02 May 2012 22:45:00 +0200

gelemental (1.2.0-7ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - debian/control: Require libgtkmm >= 2.18.0 for fix_gtkmm_2.18.dpatch
    - Add binary -dbg packages with debugging symbols:
      - debian/control:
        + add gelemental-dbg stanza
        + add libelemental0-dbg stanza
      - debian/rules:
        + split dh_strip calls in binary-arch target
        + add appropriate --dbg-package flags to dh_strip calls

 -- Angel Abad <angelabad@gmail.com>  Mon, 12 Dec 2011 13:11:42 +0100

gelemental (1.2.0-7) unstable; urgency=low

  * debian/control (Standards-Version): Bumped to 3.9.2.
    (Uploaders): Removed Cesare Tirabassi with thanks (closes: #633662).
    (Build-Depends): Removed dpatch. Added autogen-dev (>= 20100122.1).
  * debian/copyright: Minor update.
  * debian/rules: Removed dpatch stuff and get-orig-source target. Call
    autogen debhelper addon. Disable tests to fix an FTBFS by intltool
    complaining about the files in the .pc quilt directory.
    (override_dh_clean): Run missing dh_clean.
  * debian/patches/579183_adjust_size_middle_button.dpatch: Renamed to
    debian/patches/579183_adjust_size_middle_button.patch.
  * debian/patches/604612_fix_menu_category.dpatch: Renamed to
    debian/patches/604612_fix_menu_category.patch.
  * debian/patches/604618_scrollable_properties_dialog.dpatch: Renamed to
    debian/patches/604618_scrollable_properties_dialog.patch.
  * debian/patches/add_new_wave_theme.dpatch: Renamed to
    debian/patches/add_new_wave_theme.patch.
  * debian/patches/czech_translation_559028.dpatch: Renamed to
    debian/patches/czech_translation_559028.patch.
  * debian/patches/fix_gtkmm_2.18.dpatch: Renamed to
    debian/patches/fix_gtkmm_2.18.patch.
  * debian/patches/fix_zinc_german_translation.dpatch: Renamed to
    debian/patches/fix_zinc_german_translation.patch.
  * debian/patches/ftbfs_doxygen_590382.dpatch: Renamed to
    debian/patches/ftbfs_doxygen_590382.patch.
  * debian/patches/ftbfs_missing_limits.dpatch: Renamed to
    debian/patches/ftbfs_missing_limits.patch.
  * debian/patches/lp673285_link_in_about.dpatch: Renamed to
    debian/patches/lp673285_link_in_about.patch.
  * debian/patches/00list: Renamed to debian/patches/series and adjusted.
  * debian/patches/*.patch: Comments added.
  * debian/source/format: Added for source format 3.0 (quilt).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 26 Nov 2011 22:08:47 +0100

gelemental (1.2.0-6ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - debian/control: Require libgtkmm >= 2.18.0 for fix_gtkmm_2.18.dpatch
    - Add binary -dbg packages with debugging symbols:
      - debian/control:
        + add gelemental-dbg stanza
        + add libelemental0-dbg stanza
      - debian/rules:
        + split dh_strip calls in binary-arch target
        + add appropriate --dbg-package flags to dh_strip calls

 -- Angel Abad <angelabad@ubuntu.com>  Tue, 15 Feb 2011 13:57:39 +0100

gelemental (1.2.0-6) unstable; urgency=low

  * debian/compat: Increased to compatiblity level 7.
  * debian/control (Standards-Version): Bumped to 3.9.1.
    (Homepage): Set to archive.org, because site is offline for a long time.
    (Vcs-Browser): Point to real location.
    (Build-Depends): Increased dh version.
  * debian/rules: Rewritten for dh 7.
  * debian/patches/579183_adjust_size_middle_button.dpatch: Added.
    - src/buttons.cc: Request the natural width of the "active" button in the
      middle to avoid cut element symbols (closes: #579183).
  * debian/patches/604612_fix_menu_category.dpatch: Added.
    - data/gelemental.desktop.in: Category is Education (closes: #604612).
  * debian/patches/604618_scrollable_properties_dialog.dpatch: Added.
    - src/dialogs.cc: Make the properties dialog scrollable (closes: #604618).
  * debian/patches/lp673285_link_in_about.dpatch: Added.
    - src/main.cc: Don't change the homepage label but link to archive.org
      (LP: #673285).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 13 Feb 2011 06:07:22 +0100

gelemental (1.2.0-5ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #662355). Remaining changes:
    - debian/control: Require libgtkmm >= 2.18.0 for fix_gtkmm_2.18.dpatch
    - Add binary -dbg packages with debugging symbols:
        - debian/control:
          + add gelemental-dbg stanza
          + add libelemental0-dbg stanza
        - debian/rules:
          + split dh_strip calls in binary-arch target
          + add appropriate --dbg-package flags to dh_strip calls

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 27 Sep 2010 00:51:48 +0100

gelemental (1.2.0-5) unstable; urgency=low

  * debian/control: Add ${misc:Depends} to Depends lines.
  * debian/patches/ftbfs_doxygen_590382.dpatch: New patch, skip installing (no
    longer generated) .dot and .gif files (closes: #590382).
  * debian/control (Uploaders): Added myself.

 -- Michael Banck <mbanck@debian.org>  Wed, 22 Sep 2010 20:52:48 +0200

gelemental (1.2.0-4ubuntu1) maverick; urgency=low

  * Merge from debian testing (LP: #585487).  Remaining changes:
    - debian/control: Require libgtkmm >= 2.18.0 for fix_gtkmm_2.18.dpatch
    - Add binary -dbg packages with debugging symbols:
        - debian/control:
          + add gelemental-dbg stanza
          + add libelemental0-dbg stanza
        - debian/rules:
          + split dh_strip calls in binary-arch target
          + add appropriate --dbg-package flags to dh_strip calls
  * debian/control: Add ${misc:Depends} to all binary stanza Depends fields
    to placate Lintian 'debhelper-but-no-misc-depends'

 -- David Futcher <bobbo@ubuntu.com>  Thu, 27 May 2010 17:33:03 +0100

gelemental (1.2.0-4) unstable; urgency=low

  * debian/control (Standards-Version): Bumped to 3.8.3.
    (Vcs-Svn): Fixed vcs-field-uses-not-recommended-uri-format.
  * debian/watch: Comment out homepage. Not reachable anymore.
  * debian/README.source: Added dpatch notice.
  * debian/patches/fix_gtkmm_2.18.dpatch: Added from Ubuntu (LP: #441453).
    - can_focus() has been deprecated for gtkmm >= 2.18 in favour of a
      new get_can_focus() method.
  * debian/patches/add_new_wave_theme.dpatch: Added from Ubuntu (LP: #486798).
    - add the New Wave theme to the list of themes that have issues with
      button colours.
  * debian/patches/559028_cs_po.dpatch: Added.
    - po/cs.po: Czech translation by Marek Černocký (closes: #559028).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 21 Dec 2009 01:12:55 +0100

gelemental (1.2.0-3ubuntu3) lucid; urgency=low

  * debian/patches/add_new_wave_theme.dpatch: Added (LP: #486798).
    - add the New Wave theme to the list of themes that have issues
      with button colours.
  * debian/patches/00list: updated IAW the patch.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Mon, 23 Nov 2009 11:53:26 +0100

gelemental (1.2.0-3ubuntu2) karmic; urgency=low

  * debian/patches/fix_gtkmm_2.18.dpatch: Added (LP: #441453).
    - can_focus() has been deprecated for gtkmm >= 2.18 in favour of a
      new get_can_focus() method.
  * debian/patches/00list, debian/control: updated IAW the patch.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Sat, 03 Oct 2009 20:54:17 +0200

gelemental (1.2.0-3ubuntu1) intrepid; urgency=low

  * Add binary packages with debugging symbols:
    - debian/control:
      + add gelemental-dbg stanza
      + add libelemental0-dbg stanza
    - debian/rules:
      + split dh_strip calls in binary-arch target
      + add appropriate --dbg-package flags to dh_strip calls
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Tue, 03 Jun 2008 20:56:04 +0200

gelemental (1.2.0-3) unstable; urgency=low

  * debian/control (Build-Depends): Added missing graphviz (doxygen).
  * debian/patches/fix_zinc_german_translation.dpatch: Added.
    - libelemental/data.cc (table_data): Fix translation of "zink", which is
      not "tin".
  * debian/patches/00list: Added.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 30 May 2008 02:41:54 +0200

gelemental (1.2.0-2) unstable; urgency=low

  * debian/control (Build-Depends): Added dpatch.
  * debian/rules: Added dpatch related stuff.
    (binary-arch): Call dh_install for all packages.
    (.PHONY): configure is not a PHONY target.
  * debian/patches/ftbfs_missing_limits.dpatch: Added.
    - libelemental/value.hh: Include <limits> to fix FTBFS (closes: #482924).
  * debian/patches/00list: Added.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 26 May 2008 01:03:42 +0200

gelemental (1.2.0-1) unstable; urgency=low

  * First release (closes: #444861). Thanks to Cesare Tirabassi for his work.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 09 May 2008 01:13:50 +0200
